Package io.vertx.ext.web

## Interface FileUpload

-     public interface FileUpload

  Represents a file-upload from an HTTP multipart form submission.

  Author:
    Tim Fox

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` | Try to cancel the file upload.
    `String` | `charSet()` |
    `String` | `contentTransferEncoding()` |
    `String` | `contentType()` |
    `Future<Void>` | `delete()` | Delete the uploaded file on the disk.
    `String` | `fileName()` |
    `String` | `name()` |
    `long` | `size()` |
    `String` | `uploadedFileName()` |

- - ### Method Detail

    - #### name

          String name()

      Returns:
        the name of the upload as provided in the form submission

    - #### uploadedFileName

          String uploadedFileName()

      Returns:
        the actual temporary file name on the server where the file was uploaded to.

    - #### fileName

          String fileName()

      Returns:
        the file name of the upload as provided in the form submission

    - #### size

          long size()

      Returns:
        the size of the upload, in bytes

    - #### contentType

          String contentType()

      Returns:
        the content type (MIME type) of the upload

    - #### contentTransferEncoding

          String contentTransferEncoding()

      Returns:
        the content transfer encoding of the upload - this describes how the upload was encoded in the form submission.

    - #### charSet

          String charSet()

      Returns:
        the charset of the upload

    - #### cancel

          boolean cancel()

      Try to cancel the file upload.
      Returns:
        `true` when the upload was cancelled, `false` when the upload is finished and the file is available

    - #### delete

          Future<Void> delete()

      Delete the uploaded file on the disk.
      Returns:
        a future signaling when the file has been deleted